
<script>
import { replaceByDefault } from '../../../Helper/helper';
import OrderShow from './../../orders/order_tabs/order-show';
import config from '../../../config';
export default {
  components: {OrderShow},
  props:[ 'drivers', 'loading','withAction' ],
  data(){
    return {
      config: config,
      fields:[
        { key: "profile_path", label: this.trans.get("__JSON__.Profile"), sortable: false },
        { key: "fullname", label: this.$auth.setting && this.$auth.setting.driver_name +' '+ this.trans.get("__JSON__.Name"), sortable: false },
        { key: "delivered_driver_order_request_count", label: this.trans.get("__JSON__.Delivered Today"), sortable: false },
        { key: "driverid", label: this.$auth.setting && this.$auth.setting.driver_name +' '+ this.trans.get("__JSON__.ID"), sortable: false },
        { key: "contactno", label: this.trans.get("__JSON__.Phone Number"), sortable: false },
        { key: "user", label: this.trans.get("__JSON__.Delivery Zone"), sortable: false },
        ...this.withAction == ""?[{ key: "ongoing_requests", label: this.trans.get("__JSON__.Active Orders"), sortable: false }]:[],
      ],
      showModal: false,
      orderId: null,
      replaceByDefault:replaceByDefault
    }
  },
  methods:{
    showOrder(id){
      this.orderId = id;
      this.showModal = true;
    }
  }
}
</script>
<template>
<div class="row">
  <div class="col-12 m-order-main">
   <div class="table-responsive table-border-0 scroll-table">
    <b-table
      :items="drivers && drivers.data || []"
      :fields="fields"
      ref="selectableTable"
      show-empty
      :busy="loading"
      class="table-centered table-nowrap table-hover table-main-border order-menu"
      selectable
      select-mode="single"
    >
      <template #table-busy>
        <div class="text-center text-danger my-2">
          <b-spinner class="align-middle"></b-spinner>
          <strong>{{trans.get('__JSON__.Loading...')}}</strong>
        </div>
      </template>
      <template #cell(profile_path)="data">
        <img
          :src="data.value"
          @error="replaceByDefault"
          alt
          class="avatar-md rounded-circle img-thumbnail"
        />
      </template>
      <template #cell(fullname)="data">
        <router-link v-if="$auth.hasPermission(config.permissions.driver_read)" :to="{name: 'driver-details', params:{'driver_id': base64(data.item.driverid)}}">
          <span class="font-weight-bold">{{ data.value }}</span>
        </router-link>
        <span v-else class="font-weight-bold">{{ data.value }}</span>
      </template>
      <template #cell(driverid)="data">
        <!-- {{ data.item.restaurant && data.item.restaurant.name || data.item.id}} -->
        {{ data.value }}
      </template>
      <template #cell(customer_name)="data">
        <!-- {{ data.item.user && (data.item.user.user_name +" "+ data.item.user.last_name) || data.item.id}} -->
        {{ data.value}}
      </template>
      <template #cell(user)="data">
        {{ data.value && data.value.user_name }}
      </template>
      <template #cell(ongoing_requests)="data" v-if="withAction ==''">
        <template v-for="(order,index) in data.value">
          <b-link variant="link" @click="showOrder(order.base_id)" :key="order.orderid">#{{order.orderid}}</b-link>
          <span :key="order.orderid+'-12'" v-if="(index+1) != data.value.length">, </span>
        </template>
      </template>
    </b-table>
    </div>
  </div>
  <OrderShow v-if="showModal"  :order-id="orderId" @hidden="showModal = false" />
</div>
</template>

<style>

</style>
